List block entries

Returns block entries, newest first, optionally filtered by block type and active state.

GET
/v1/email/blocks

Returns block entries, newest first, optionally filtered by block type and active state. Pass nextCursor back as cursor for the next page; it is null on the last page.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

blockType?string
Value in"email""domain"
isActive?boolean|null
limit?|null
cursor?string

Response Body

BlockPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.email.listBlocks({});
Example Response
{  "items": [    {      "id": "string",      "blockType": "email",      "blockValue": "string",      "reason": "string",      "notes": "string",      "isActive": true,      "blockCount": 0,      "lastBlockedAt": "string",      "expiresAt": "string",      "createdAt": "string"    }  ],  "nextCursor": "string"}

Related documentation